Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.csv
Class NumberList

    java.lang.Object
      org.encog.util.csv.NumberList

    public final class NumberList

extends Object

Class used to handle lists of numbers.

Method Summary
`static double[]` | `fromList(CSVFormat format, String str)` Get an array of double's from a string of comma separated text.
`static int[]` | `fromListInt(CSVFormat format, String str)`
`static void` | `toList(CSVFormat format, int precision, StringBuilder result, double[] data)`
`static void` | `toList(CSVFormat format, StringBuilder result, double[] data)` Convert an array of doubles to a comma separated list.
`static void` | `toListInt(CSVFormat format, StringBuilder result, int[] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fromList

    public static double[] fromList(CSVFormat format,
                                    String str)

  Get an array of double's from a string of comma separated text.

  Parameters:
    `format` - The format to use.
    `str` - The string to parse.
  Returns:
    An array of doubles parsed from the string.

### toList

    public static void toList(CSVFormat format,
                              StringBuilder result,
                              double[] data)

  Convert an array of doubles to a comma separated list.

  Parameters:
    `format` - The format to use.
    `result` - This string will have the values appended to it.
    `data` - The array of doubles to use.

### fromListInt

    public static int[] fromListInt(CSVFormat format,
                                    String str)

### toList

    public static void toList(CSVFormat format,
                              int precision,
                              StringBuilder result,
                              double[] data)

### toListInt

    public static void toListInt(CSVFormat format,
                                 StringBuilder result,
                                 int[] data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.